Groups

Get list of groups within the current organization

GET
/api/v1/groups

Get the list of all groups within the current organization.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Query Parameters

Name?string

The name or part of the name of a group

PageIndex?integer

The index of the page to be returned. Default is 0.

Formatint32
PageSize?integer

The size of the page to be returned. Default is 10.

Formatint32

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

curl -X GET "https://example.com/api/v1/groups"
{  "success": true,  "errors": [    "string"  ],  "data": {    "totalCount": 0,    "items": [      {        "id": "string",        "name": "string",        "description": "string",        "updatedAt": "2019-08-24T14:15:22Z"      }    ]  }}